[Ruby 1.9-Bug#4124][Open] optparse: needless argument: --help=zshcomplete=COMMAND

Bug #4124: optparse: needless argument: --help=zshcomplete=COMMAND
http://redmine.ruby-lang.org/issues/show/4124

起票者: Kazuhiro NISHIYAMA
ステータス: Open, 優先度: Normal
担当者: Nobuyoshi N., カテゴリ: lib, Target version: 1.9.3
ruby -v: ruby 1.9.3dev (2010-12-05 trunk 30086) [x86_64-linux]

opttest.rb のようにデフォルト以外の --help があると補完の生成がうまくいかないようです。

% generate-complete-function/ruby/optparse sample/optparse/opttest.rb
opttest: needless argument: --help=zshcomplete=opttest.rb
%

チケット #4124 が更新されました。 (by Nobuyoshi N.)

ステータス OpenからClosedに変更
進捗 % 0から100に変更

This issue was solved with changeset r30098.
Kazuhiro, thank you for reporting this issue.
Your contribution to Ruby is greatly appreciated.
May Ruby be with you.

チケット #4124 が更新されました。 (by Kazuhiro NISHIYAMA)

ステータス ClosedからAssignedに変更

opttest.rb の変更で閉じるということは rspec などのようにすでに独自の --help
があるものは非対応のままということでしょうか?

% ruby-trunk -v
ruby 1.9.3dev (2010-12-07 trunk 30107) [i686-linux]
% generate-complete-function/ruby/optparse rspec-trunk
/home/kazu/opt/ruby-trunk/lib/ruby/gems/1.9.1/gems/rspec-core-2.2.1/lib/rspec/core/option_parser.rb:18:in
parse!': needless argument: --help=zshcomplete=rspec-trunk (OptionParser::NeedlessArgument) from /home/kazu/opt/ruby-trunk/lib/ruby/gems/1.9.1/gems/rspec-core-2.2.1/lib/rspec/core/option_parser.rb:4:inparse!’
from
/home/kazu/opt/ruby-trunk/lib/ruby/gems/1.9.1/gems/rspec-core-2.2.1/lib/rspec/core/configuration_options.rb:65:in
parse_command_line_options' from /home/kazu/opt/ruby-trunk/lib/ruby/gems/1.9.1/gems/rspec-core-2.2.1/lib/rspec/core/configuration_options.rb:47:inparse_options’
from
/home/kazu/opt/ruby-trunk/lib/ruby/gems/1.9.1/gems/rspec-core-2.2.1/lib/rspec/core/runner.rb:41:in
run' from /home/kazu/opt/ruby-trunk/lib/ruby/gems/1.9.1/gems/rspec-core-2.2.1/lib/rspec/core/runner.rb:10:inblock in autorun’

チケット #4124 が更新されました。 (by Nobuyoshi N.)

ステータス AssignedからClosedに変更

どうしようもないと思うのですが、何かアイデアがあれば。

チケット #4124 が更新されました。 (by Kazuhiro NISHIYAMA)

–help ではなく http://www.rubyist.net/~rubikitch/archive/zshcomplete.txt
のように --zshcomplete (と --bashcomplete) にするというのはどうでしょうか?